# $Id: firefly.cfg 53 2005-02-13 11:16:32Z  $
# Configuration file for filefly (8)
# Copyright 2003, 2004 Stefano Rivera

version = 1.0.11

# Programs:
iptables = /sbin/iptables
ip = /bin/ip
sysctl = /sbin/sysctl
tc = /sbin/tc

# Interfaces
intIf = eth0
extIf = ippp0
extNet = 0.0.0.0/0
inBW = 60kbit
outBW = 60kbit
intBW = 100mbit

# QOS
sfqPerturb = 10

# Enable NAT
NAT = True

# Logging
logDrops = False
logRejects = False
uncleanRate = 15/minute

[qos-out]
Limit * Ceiling * Prio 0 SFQ:
  */*

[qos-in]
Limit * Ceiling * Prio 0 SFQ:
  */*

[from-int]
blockReservedIPs = False
logUnclean = True

Accept:
  */*

[to-int]
blockReservedIPs = False
logUnclean = True

Accept:
  */*

[to-ext]
blockReservedIPs = False
logUnclean = True

Accept:
  */*

[from-ext]
blockReservedIPs = False
logUnclean = True

Accept:
  udp/domain

Reject with tcp-reset:
  tcp/ident

Accept:
  state/ESTABLISHED
  state/RELATED

Drop:
  */*

[forward-in]
blockReservedIPs = False
logUnclean = True

Accept:
  state/ESTABLISHED
  state/RELATED
  icmp/echo-reply
  icmp/destination-unreachable
  icmp/time-exceeded

Drop:
  */*

[forward-out]
blockReservedIPs = False
logUnclean = True

Accept:
  */*
